<template>
    <div class="container">
        <h2 class="text-center">Pedidos de Adoção Recebidos</h2>
        <table class="table table-striped mt-4">
            <thead>
                <tr>
                    <th>Nome</th>
                    <th>E-mail</th>
                    <th>Telefone</th>
                    <th>Pet ID</th>
                    <th class="text-center">Sobre</th>
                    <th class="text-center">Pedidos</th>
                </tr>
            </thead>
            <tbody >
                
                <tr v-for="pedido in pedidos" v-bind:key="pedido.id" class="text-center">
                    <td>{{pedido.nome}}</td>
                    <td>{{pedido.email}}</td>
                    <td>{{pedido.telefone}}</td>

                    <td class="text-center">{{pedido.adocao_id}}</td>
                    
                    <div class="container sobre">
                        <td class="text-left">{{pedido.sobre_dados}}</td>
                    </div>

                    <td class="text-center">
                        <button href="#"  @click="aceitar(pedido.id)"  class="btn btn-sm btn-warning mr-2" title="Alterar">Aceitar</button>
                        <button href="#"  @click="rejeitar(pedido.id)"  class="btn btn-sm btn-warning" title="Alterar">Rejeitar</button>
                    </td>
                </tr>
                
            </tbody>
        </table>
    </div>

</template>

<script>
import axios from "axios"

export default {
    data() {
        return {
            pedidos: [],
        }
    },
    methods: {
        listar() {
            axios.get(this.$urlAPI+"/pedido")
            .then(response => (this.pedidos = response.data))
        },
        aceitar(id) {
            axios.get(this.$urlAPI+'/pedido/email/'+id)
            .then(() => {alert('Seu Pedido de Adoção foi Aceito, Aguarde Contato...');
        }) 
    },
        rejeitar(id) {
            axios.get(this.$urlAPI+'/pedido/email/'+id)
            .then(() => {alert('Seu Pedido de Adoção foi rejeitado...');
        }) 
    }
    },
    mounted() {
        this.listar()
    },
    filters: {
        estiloMoeda(value) {
            return value.toLocaleString('pt-br', {minimumFractionDigits: 2})
        }
    }
}
</script>

<style scoped>
    table img {
        width: 120px;
        height: 80px;
    }
    .sobre {
        max-width: 350px;
    }
    h2 {
        margin-top: 110px;
    }
</style>